# 单点登录的简易模式
## 1、内置用于单点登录的账号
#### 菜单路径
账户管理/用户定义
#### 功能描述
用户定义的配置页面，在此处单独配置一个不过期的用户，用于单点登录时获取access_token。(任意账户均可用于access_token的获取)。

## ２、根据请求获取access_token
#### 请求路径

#####注意 
  _1.参数除账号密码外不可以随意修改。
  2.如果想使用其他校验模式获取token，则需要进行额外配置。
  3.发送的请求类型必须为post请求。_
```
/oauth/token?client_id=client2&client_secret=secret&grant_type=password&username=hd001&password=1
```


#### 功能描述
用户可在此自定义邮件模板，然后在邮件发送时选取所需模板进行发送。模板内容使用富文本编辑器，满足用户绝大部份需求。
#### 使用说明
#### 模板查看界面：
    查看所有邮件模板，或通过模板代码和描述搜索相关模板，可对模板进行删除，修改，新建操作。
    
![](/assets/mail_model_query.png)

#### 模板新建/编辑界面：
    点击新建或编辑按钮后弹出，新建一个邮箱账户或者编辑当前模板，填写相关参数点击保存提交修改。（相关参数说明如下）
    
![](/assets/mail_model_add.png)

#### 参数说明
* 模板代码： 模板唯一标识，不可重复。
* 描述： 模板大致描述。
* 邮件账户： 发件账户。
* 主题： 邮件主题。
* 内容： 邮件发送内容。

## 3、邮件测试
#### 菜单路径
系统设置/邮件/邮件测试
#### 功能描述
邮件发送测试界面。可通过选取邮件模板方式发送邮件。
#### 使用说明
#### 模板邮件界面：
    通过选取邮件模板发送邮件。
    
![](/assets/mail_test_query.png)

#### 参数说明
* 收件人： 邮件收件人。
* 模板代码： 选取发送邮件所用模板。
* 添加附件： 添加邮件附件。

#### 选取附件界面：
    点击添加附件后展开，点击选择附件后查看所有附件，选取相关附件后点击添加按钮将附件加入待发送附件进列表，全部选取成功后点击保存确定待发送附件。
    
![](/assets/mail_test_add.png)

## 4、邮件状态查询
#### 菜单路径
系统设置/邮件/邮件状态查询
#### 功能描述
查看发送邮件的状态，失败邮件可查看错误原因。
#### 使用说明
可通过账户代码，主题，发送状态过滤邮件，选取相关邮件后可查看错误信息。

![](/assets/mail_state_query.png)

#### 参数说明
* 发送状态： 发送成功（Y) 正在发送（P) 发送失败（F) 待发送（N)。


